# Create simulated device

> `POST https://api.kustom.co/ipp/v1/dev/devices`

Creates a simulated device by generating an enrollment and immediately registering it. Always adds `simulated=true` to the device metadata. Only available in non-production environments.

## Request body

`application/json`

- `name` (string, required)
- `location_id` (string)
- `metadata` (object)
  - `key` (string) — Any additional property. The key is free-form; the value has this shape.

### Example request

```json
{
  "name": "<string>",
  "location_id": "<uuid>",
  "metadata": {
    "key": "<string>"
  }
}
```

## Responses

### 201

Simulated device created.

`*/*`

- `device_id` (string)

```json
{
  "device_id": "<uuid>"
}
```

### 400

Invalid request body.

### 401

Missing or invalid credentials.
